com.h3c.sdn.common

## Interface ARPTable

- All Known Implementing Classes:
    ARPTableDTO

      public interface ARPTable

  Represents the set of ARP translations within a given VID.

  An ARPTable is maintained per VID.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<ARPEntry>` | `arpEntries()` Returns the set of ARP translations for the VID.
    `ARPEntry` | `arpEntry(IpAddress ipAddress)` Returns the ARP translation for a given IP address.
    `void` | `clearARPTable()` Clears learned ARP translations for the given VID.
    `void` | `clearothersARPTable()` Clears learned From Others Which ARP translations for the given VID.
    `NetworkNode` | `networkNode(IpAddress ipAddress)` Returns the end host for a given IP address.
    `NetworkNode` | `networkNode(MacAddress mac)` Returns the end host for a given MAC address.
    `int` | `size()` Returns the size of the ARP table for the VID.
    `VId` | `vid()` Returns the VID identifier for the ARP table.

- - ### Method Detail

    - #### vid

          VId vid()

      Returns the VID identifier for the ARP table.
      Returns:
        the VID identifier

    - #### size

          int size()

      Returns the size of the ARP table for the VID.
      Returns:
        the size of the ARP table

    - #### arpEntry

          ARPEntry arpEntry(IpAddress ipAddress)

      Returns the ARP translation for a given IP address.
      Parameters:
        `ipAddress` - IP address of the end host
      Returns:
        The ARP entry
      Throws:
        `NullPointerException` - if the parameter is null

    - #### networkNode

          NetworkNode networkNode(IpAddress ipAddress)

      Returns the end host for a given IP address.
      Parameters:
        `ipAddress` - IP address of the end host
      Returns:
        NetworkNode object
      Throws:
        `NullPointerException` - if the parameter is null

    - #### networkNode

          NetworkNode networkNode(MacAddress mac)

      Returns the end host for a given MAC address. added by s03140 for layer2DstMacAddrOnly
      Parameters:
        `mac` - MAC address of the end host
      Returns:
        NetworkNode object
      Throws:
        `NullPointerException` - if the parameter is null

    - #### arpEntries

          Set<ARPEntry> arpEntries()

      Returns the set of ARP translations for the VID.
      Returns:
        The set of ARP entries

    - #### clearARPTable

          void clearARPTable()

      Clears learned ARP translations for the given VID.

    - #### clearothersARPTable

          void clearothersARPTable()

      Clears learned From Others Which ARP translations for the given VID.

Copyright © 2014. All Rights Reserved.